#ifndef _UG_OBJECT_MANAGER_
#define _UG_OBJECT_MANAGER_

#include "../enemy/GEnemyManager.h"
//#include "../effect/UGEffectManager.h"
#include "../player/UGPlayer.h"
//#include "../shot/UGShotManager.h"
//#include "../item/UGItemManager.h"
//#include "../neutral/UGNeutralManager.h"

class UGObjectManager{
private:
	GEnemyManager* enemyManager;
	UGPlayer* player;
//	UGEffectManager* effectManager;
//	UGShotManager* shotManager;
//	UGItemManager* itemManager;
//	UGNeutralManager* neutralManager;
public:
	GEnemyManager* getEnemyManager(){
		return enemyManager;
	}
/*	UGShotManager* getShotManager(){
		return shotManager;
	}
	UGEffectManager* getEffectManager(){
		return effectManager;
	}
	UGItemManager* getItemManager(){
		return itemManager;
	}
	UGNeutralManager* getNeutralManager(){
		return neutralManager;
	}

*/
	UGPlayer* getPlayer(){
		return player;
	}
public:
	
	UGObjectManager();
	virtual ~UGObjectManager();

	void init();
	void clear();
};

#endif
